Subject: linux-next: manual merge of the arm-soc tree with the mailbox tree

From: [email-masked] (Tony Lindgren)
Date: Fri, 21 Jun 2013 00:12:39 -0700

* Olof Johansson <[email-masked]> [130621 00:07]:
> On Thu, Jun 20, 2013 at 11:53 PM, Tony Lindgren <[email-masked]> wrote:
> > * Stephen Rothwell <[email-masked]> [130620 23:48]:
> >> Hi all,
> >>
> >> On Fri, 21 Jun 2013 16:26:56 +1000 Stephen Rothwell <[email-masked]> wrote:
> >> >
> >> > Today's linux-next merge of the arm-soc tree got a conflict in
> >> > drivers/mailbox/Kconfig between commit a1824eaab70f ("mailbox: OMAP:
> >> > introduce mailbox framework") from the mailbox tree and commit
> >> > c869c75c16b3 ("mailbox/omap: move the OMAP mailbox framework to drivers")
> >> > from the arm-soc tree.
> >> >
> >> > I fixed it up (I suspect not properly - see below) and can carry the fix
> >> > as necessary (no action is required).
> >> >
> >> > It looks like we have two different versions of these changes in
> >> > linux-next now, so please clean it all up.  i.e. can I just drop the
> >> > mailbox tree now?
> >>
> >> OK, things went steeply downhill from here, so I went back and removed
> >> the mailbox tree ...
> >
> > I think Olof dropped the earlier version of the mailbox branch, and
> > remerged the updated mailbox branch. So if there was also yet another
> > mailbox branch being pulled into Linux next, then yes, dropping it is
> > the way to go.
> 
> No, I only reverted -- I didn't pull in any new branch.

Arnd pulled in tags/omap-for-v3.11/mailbox-signed, which is the branch
that should get merged to the mainline tree while we're waiting for
the generic mailbox framework from Jassi.
 
> I wonder if this mess is caused by the fact that I did the revert
> instead of rebuilding our for-next and dropping the merge in the first
> place.
> 
> I'll rebuild our for-next (or maybe Arnd will beat me to it) before
> next linux-next build, i.e. Sunday night my time.

Could be, especially if some of the commits are the same in the reverted
branch and newly merged branch as git might think that some merges have
been already resolved the right way earlier.

Regards,

Tony